Get Market Stat
curl --request GET \
--url https://api.blockworks.com/v1/market-stats \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/market-stats"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/market-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"total_usd_market_cap": 0,
"total_usd_volume_24h": 0,
"altcoin_usd_market_cap": 0,
"altcoin_usd_volume_24h": 0,
"stablecoin_usd_volume_24h": 0,
"stablecoin_usd_change_24h": 0,
"defi_usd_volume_24h": 0,
"defi_usd_change_24h": 0,
"btc_dominance": 0,
"btc_dominance_change_24h": 0,
"eth_dominance": 0,
"eth_dominance_change_24h": 0,
"updated_at": 0,
"day": "<string>"
}
]
}market-stats
Get Market Stat
Retrieves a single market-level statistic by ID, including its value, effective time window, and metadata. Use with the list endpoint for discovery or to fetch the latest value for a specific stat.
GET
/
v1
/
market-stats
Get Market Stat
curl --request GET \
--url https://api.blockworks.com/v1/market-stats \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/market-stats"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/market-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"total_usd_market_cap": 0,
"total_usd_volume_24h": 0,
"altcoin_usd_market_cap": 0,
"altcoin_usd_volume_24h": 0,
"stablecoin_usd_volume_24h": 0,
"stablecoin_usd_change_24h": 0,
"defi_usd_volume_24h": 0,
"defi_usd_change_24h": 0,
"btc_dominance": 0,
"btc_dominance_change_24h": 0,
"eth_dominance": 0,
"eth_dominance_change_24h": 0,
"updated_at": 0,
"day": "<string>"
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 100Available options:
day Maximum string length:
65535Available options:
id Available options:
asc, desc